[Frugalware-darcs] frugalware-current: qt4-4.3.0-2-i686

crazy crazy at frugalware.org
Sat Jun 16 02:55:56 CEST 2007


Darcsweb-Url: http://darcs.frugalware.org/darcsweb/darcsweb.cgi?r=frugalware-current;a=darcs_commitdiff;h=20070616005301-f6986-3048ea627c4c0115738cba50789d13f5ebefb22d.gz;

[qt4-4.3.0-2-i686
crazy <crazy at frugalware.org>**20070616005301
 * relbump
 * added patches from qt-copy
] {
hunk ./source/kde-extra/qt4/FrugalBuild 7
-pkgrel=1
+pkgrel=2
hunk ./source/kde-extra/qt4/FrugalBuild 20
-	assistant4.desktop designer4.desktop linguist4.desktop \
-	qt4config.desktop dummy.patch qt4.sh.off Trolltech.conf)
+	http://ftp.frugalware.org/pub/other/sources/kde/qt4/patches-qt4-copy.tar.bz2 \
+	assistant4.desktop designer4.desktop linguist4.desktop qt4config.desktop \
+	dummy.patch qt4.sh.off Trolltech.conf apply_patches)
hunk ./source/kde-extra/qt4/FrugalBuild 46
-	./configure -v -confirm-license -prefix /usr -L /usr/lib \
+	mv $Fsrcdir/{patches,apply_patches} $Fsrcdir/$origname-$pkgmore-$pkgver || Fdie
+	echo "0118" >> patches/DISABLED || Fdie
+	chmod +x apply_patches || Fdie
+	./apply_patches || Fdie
+	./configure \
+		-v -confirm-license \
+		-prefix /usr -L /usr/lib \
hunk ./source/kde-extra/qt4/FrugalBuild 61
-		-debug -shared -nis -qt-gif -stl -pch -sm \
-		-system-libpng -system-libjpeg -system-libmng -system-zlib -system-sqlite \
-                -accessibility -fontconfig -no-nas-sound -no-rpath -qt3support \
-                -tablet -xinerama -xrender -xkb -xshape -xrandr -cups -no-exceptions \
+		-debug \
+		-shared \
+		-nis \
+		-qt-gif \
+		-stl \
+		-pch \
+		-sm \
+		-system-libpng \
+		-system-libjpeg \
+		-system-libmng \
+		-system-zlib \
+		-system-sqlite \
+                -accessibility \
+		-fontconfig \
+		-no-nas-sound \
+		-no-rpath \
+		-qt3support \
+                -tablet \
+		-xinerama \
+		-xrender \
+		-xkb \
+		-xshape \
+		-xrandr \
+		-cups \
+		-no-exceptions \
hunk ./source/kde-extra/qt4/FrugalBuild 88
-		-plugin-sql-sqlite -plugin-sql-sqlite2 -plugin-sql-odbc -qdbus -no-glib -no-separate-debug-info \
-		-optimized-qmake -fast || return 1
+		-plugin-sql-sqlite \
+		-plugin-sql-sqlite2 \
+		-plugin-sql-odbc \
+		-qdbus \
+		-no-glib \
+		-no-separate-debug-info \
+		-optimized-qmake \
+		-fast || return 1
hunk ./source/kde-extra/qt4/FrugalBuild 126
+          '67783ee03af5c615cb6b66df2a7499c22225f841'\
hunk ./source/kde-extra/qt4/FrugalBuild 133
-          '2468fea7b127253832148115d5aa9e85b2e0aea6')
+          '2468fea7b127253832148115d5aa9e85b2e0aea6'\
+          '5a2341286f6d766ab943294aec90a8ad25d0ee1d')
addfile ./source/kde-extra/qt4/apply_patches
hunk ./source/kde-extra/qt4/apply_patches 1
+#! /usr/bin/env bash
+# Script to apply patches from qt-copy/patches/.
+# See README.qt-copy for details.
+#
+# Lubos Lunak <l.lunak at kde.org>
+# Oswald Buddenhagen <ossi at kde.org>
+#
+
+if ! test -d patches; then
+    echo "No patches directory found."
+    exit 1
+fi
+
+revert=false reverse=
+clever=false
+verbose=true silent=
+for i; do
+    case $i in
+        -r|-R|--reverse) revert=true; reverse=--reverse;;
+        -c|--clever) clever=true;;
+        -s|--silent|-q|--quiet) verbose=false; silent=--silent;;
+        *) echo "Unknown option '$i'." >&2; exit 1;;
+    esac
+done
+
+b=../.${PWD##*/}
+
+if $clever; then
+    if ! $revert; then
+        pdir=$b.patched
+        odir=$b.cvs
+    else
+        pdir=$b.cvs
+        odir=$b.patched
+    fi
+    $verbose && echo -n "Creating temporary copy ... "
+    tdir=$b.temp
+    test -d $tdir || { rm -rf $tdir.t; cp -al . $tdir.t && mv $tdir.t $tdir; } || exit
+    $verbose && echo "done."
+fi
+
+plist=.applied_patches
+wlist=$plist.work
+test -f $wlist -o ! -f $plist || cp $plist $wlist || exit
+
+case `uname -a` in
+    CYGWIN_*)
+        myos="win"
+        ;;
+    *)
+        myos="unix"
+        ;;
+esac
+
+patches=`cd patches/ >/dev/null && ls [0-9]*-* $reverse`
+applied=
+already=
+skipped=
+prevapplied=
+disabled=
+for file in $patches; do
+    # skip files that aren't *.diff or *.patch
+    test "${file%.patch}" = "$file" -a "${file%.diff}" = "$file" && continue
+    # skip files that don't match this OS
+    if head -n 8 patches/$file | grep -i '^[\t ]*os[\t ]*:.*$' | grep -viq "\b$myos\b"; then
+        skipped="$skipped $file\n"
+        continue;
+    fi
+    pnum=${file%%-*}
+    if ! $revert || ! test -f $plist; then
+        # skip those having 'applied: yes' in the header, but only for a real qt-copy from svn
+        if test -d .svn && head -n 8 patches/$file | grep -iq '^[\t ]*applied[\t ]*:[\t ]*yes[\t ]*$'; then
+            already="$already $file\n"
+            continue;
+        fi
+        # skip disabled
+        if grep -q "^[\\t ]*$pnum[\\t ]*\$" patches/DISABLED; then
+            disabled="$disabled $file\n"
+            continue;
+        fi
+    fi
+    if test -f $plist; then
+        grep -q $pnum $wlist && listed=true || listed=false
+        if test $listed != $revert; then
+            prevapplied="$prevapplied $file\n"
+            continue;
+        fi
+    fi
+    $verbose && echo -e "\nApplying: $file"
+    if $clever; then
+        if ! patch -b -z .touched $silent $reverse -p0 < patches/$file; then
+            echo -e "\n\nPatch $file failed!"
+            while :; do
+                # detect eof as abort.
+                if ! read -p "[A]bort, [c]ontinue, or [r]ollback all? " sel; then
+                    exit 1
+                fi
+
+                case $sel in
+                    a) exit 1;;
+                    c) continue 2;;
+                    r)
+                        $verbose && echo -ne "Deleting working directory ... "
+                        rm -rf $PWD/*
+                        rm -f $wlist
+                        $verbose && echo -ne "done.\nSubstituting with temporary directory ... "
+                        mv $tdir/* $PWD
+                        rm -rf $tdir
+                        $verbose && echo "done."
+                        exit 2;;
+                esac
+            done
+        fi
+    else
+        if ! patch $silent $reverse -p0 < patches/$file; then
+            echo -e "\n\nPatch $file failed!"
+            while :; do
+                # detect eof as abort.
+                if ! read -p "[A]bort or [c]ontinue? " sel; then
+                    exit 1
+                fi
+
+                case $sel in
+                    a) exit 1;;
+                    c) continue 2;;
+                esac
+            done
+        fi
+    fi
+    if ! $revert; then
+        echo $pnum >> $wlist
+    elif test -f $wlist; then
+        grep -v $pnum $wlist > $wlist.new
+        mv $wlist.new $wlist
+    fi
+    applied="$applied $file\n"
+done
+touch $wlist
+mv $wlist $plist
+
+$verbose && echo -e "\n\n\nDone.\n
+Applied patches:\n$applied
+Previously applied patches:\n$prevapplied
+Skipped patches:\n$skipped
+Disabled patches:\n$disabled
+Already merged patches:\n$already"
+
+if $clever; then
+    $verbose && echo -n "Creating backup ... "
+    test -f $odir/.cleanme && rm -rf $odir
+    for j in $(find -name \*.touched); do
+        rj=${j%.touched}
+        if ! test -f "$odir/$rj"; then
+            mkdir -p "$odir/${rj%/*}" || exit
+            ln "$tdir/$rj" "$odir/$rj" || exit
+        fi
+        rm "$j"
+    done
+    $verbose && echo -ne "done.\nDeleting temporary directory ... "
+    mv $tdir $tdir.t && rm -rf $tdir.t
+    if test -d $pdir; then
+        $verbose && echo -ne "done.\nRestoring previous backup ... "
+        for j in $(find $pdir -type f); do
+            rj=${j#"$pdir/"}
+            cmp -s "$j" "$rj" && { mv "$j" "$rj" || exit; }
+        done
+        $verbose && echo -ne "done.\nCleaning previous backup ... "
+        find $pdir -type d | sort -r | xargs -r rmdir 2> /dev/null
+        touch $pdir/.cleanme 2> /dev/null
+    fi
+    $verbose && echo "done."
+fi
+
+exit 0
}


More information about the Frugalware-darcs mailing list